%define upstream_name      Net-SSLeay
%define upstream_version 1.92

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\ |perl\\(Test::More

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for using OpenSSL
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.600.100
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: openssl >= 0.9.3a
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Requires:   openssl >= 0.9.3a
Provides:   perl-Net_SSLeay = %{version}-%{release}
Provides:   perl-Net_SSLeay.pm = %{version}-%{release}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__chmod 755 examples

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
echo | %__perl Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*

%check
# testing the package implies contacting external sites (some are down ?)
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.920.0-3.mga9
+ Revision: 1862731
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.920.0-2.mga9
+ Revision: 1796841
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 tv <tv> 1.920.0-1.mga9
+ Revision: 1768396
- update to 1.92

* Sun Oct 03 2021 joequant <joequant> 1.900.0-5.mga9
+ Revision: 1748709
- update with new ssl
+ wally <wally>
- rebuild for openssl 3.0.0

* Mon May 24 2021 tmb <tmb> 1.900.0-3.mga9
+ Revision: 1726226
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Thu Feb 25 2021 tv <tv> 1.900.0-1.mga9
+ Revision: 1690360
- update to 1.90

* Wed Jun 17 2020 umeabot <umeabot> 1.880.0-4.mga8
+ Revision: 1595122
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.880.0-3.mga8
+ Revision: 1528679
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.880.0-2.mga8
+ Revision: 1432467
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.880.0-1.mga8
+ Revision: 1415613
- update to 1.88

* Fri Sep 21 2018 umeabot <umeabot> 1.850.0-3.mga7
+ Revision: 1293559
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 1.850.0-2.mga7
+ Revision: 1247456
- Rebuild for perl 5.28

* Wed Mar 14 2018 tv <tv> 1.850.0-1.mga7
+ Revision: 1209281
- update to 1.85

* Wed Jan 17 2018 tv <tv> 1.840.0-1.mga7
+ Revision: 1194077
- update to 1.84

* Tue Oct 31 2017 tv <tv> 1.820.0-1.mga7
+ Revision: 1175174
- update to 1.82

* Tue Oct 03 2017 tv <tv> 1.810.0-4.mga7
+ Revision: 1165986
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.810.0-3.mga7
+ Revision: 1149096
- Rebuild for perl ABI changes

* Wed Aug 02 2017 guillomovitch <guillomovitch> 1.810.0-2.mga7
+ Revision: 1134000
- rebuild for latest openssl

* Sat Jul 22 2017 shlomif <shlomif> 1.810.0-1.mga7
+ Revision: 1128847
- update to 1.81

* Sat Jul 22 2017 wally <wally> 1.740.0-3.mga7
+ Revision: 1128389
- BR perl-Module-Install
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Mon Jun 06 2016 tv <tv> 1.740.0-2.mga6
+ Revision: 1020374
- unbloat default install: Test::More is only needed at buildtime

* Fri Apr 15 2016 shlomif <shlomif> 1.740.0-1.mga6
+ Revision: 1002264
- update to 1.74

* Thu Mar 03 2016 umeabot <umeabot> 1.720.0-3.mga6
+ Revision: 983890
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 1.720.0-2.mga6
+ Revision: 957822
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.720.0-1.mga6
+ Revision: 884764
- update to 1.72

* Sun Jul 05 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 851528
- update to 1.70

* Fri Jun 26 2015 tv <tv> 1.690.0-2.mga6
+ Revision: 845059
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.690.0-1.mga6
+ Revision: 840782
- New version 1.69 + Rebuild for the new perl

* Sun Oct 19 2014 umeabot <umeabot> 1.660.0-4.mga5
+ Revision: 790423
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.660.0-3.mga5
+ Revision: 744324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.660.0-2.mga5
+ Revision: 685729
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 1.660.0-1.mga5
+ Revision: 666174
- update to 1.66

* Mon Jul 14 2014 guillomovitch <guillomovitch> 1.650.0-1.mga5
+ Revision: 652007
- new version 1.65

* Wed Jun 11 2014 sander85 <sander85> 1.640.0-1.mga5
+ Revision: 635622
- update to 1.64

* Tue Jun 03 2014 pterjan <pterjan> 1.630.0-2.mga5
+ Revision: 631527
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 1.630.0-1.mga5
+ Revision: 624395
- update to 1.63

* Sun Feb 09 2014 sander85 <sander85> 1.580.0-1.mga5
+ Revision: 587626
- update to 1.58

* Sat Oct 19 2013 umeabot <umeabot> 1.550.0-2.mga4
+ Revision: 527676
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.550.0-1.mga4
+ Revision: 441700
- update to 1.55

* Sun Jun 02 2013 kharec <kharec> 1.540.0-1.mga4
+ Revision: 435074
- update to 1.54

* Wed May 29 2013 tv <tv> 1.510.0-3.mga4
+ Revision: 429931
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.510.0-2.mga3
+ Revision: 370879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.510.0-1.mga3
+ Revision: 342443
- update to 1.51

* Tue Sep 25 2012 kharec <kharec> 1.490.0-1.mga3
+ Revision: 297423
- new cpan version 1.49

* Tue Jun 05 2012 jquelin <jquelin> 1.480.0-1.mga3
+ Revision: 255221
- update to 1.48

* Wed May 30 2012 jquelin <jquelin> 1.450.0-2.mga3
+ Revision: 251000
- rebuild for perl 5.16

* Sat Feb 25 2012 kharec <kharec> 1.450.0-1.mga2
+ Revision: 214366
- update to 1.45

* Thu Oct 13 2011 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 154398
- update to 1.42

* Mon Sep 26 2011 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 148180
- update to 1.41

* Sat Jun 11 2011 spuhler <spuhler> 1.360.0-10.mga2
+ Revision: 104097
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.360.0-9.mga1
+ Revision: 31623
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.360.0-8.mga1
+ Revision: 23194
- rebuild for perl 5.12

* Mon Jan 17 2011 nanardon <nanardon> 1.360.0-7.mga1
+ Revision: 20809
- kill obsoletes (match nothing in previous distribution)
+ jquelin <jquelin>
- imported package perl-Net-SSLeay

